Stablecoin payroll & payroll admin

Reconcile UKG Payroll

Name and signature indicate it reconciles ukg payroll

POSThttps://api.toku.com/stablecoin-payroll/reconcile-ukg-payroll

Not available to API keys yet. It will need payroll:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/reconcile-ukg-payroll' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "payrollGroup": "string",
  "checkDate": "2026-01-01T00:00:00Z"
}'
200 response
{
  "success": true,
  "reconciled": true,
  "details": {
    "payStatements": 0,
    "totalDeductions": 0,
    "deductionDetails": [
      {
        "employeeId": "string",
        "code": "string",
        "amount": 0
      }
    ],
    "glRuns": [],
    "error": "string"
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

payrollGroupstringrequired

Allowed: 1 to 200 characters

checkDatestring<date-time>required

Response

200Successful response
successbooleanrequired
reconciledbooleanrequired
detailsobjectrequired
Show child attributes
payStatementsnumberrequired
totalDeductionsnumberrequired
deductionDetailsobject[]required
Show child attributes
employeeIdstringrequired
codestringrequired
amountnumberrequired
glRunsany[]
errorstring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits